package probe

import (
	"git.loafle.net/commons_go/logging"
	oogwc "git.loafle.net/overflow/overflow_gateway_websocket/config"
	oogws "git.loafle.net/overflow/overflow_gateway_websocket/server"
	oosc "git.loafle.net/overflow/overflow_server_config"
)

const (
	Name = "probe"
)

var (
	cfg *oosc.Servlet
)

func ServletInit(sh oogws.ServerHandler) {
	cfg = oogwc.Config.Servlets[Name]
	if nil == cfg {
		logging.Logger().Panicf("Webapp: config of servlet[%s] is not exist", Name)
	}

	rpcGH := newGatewayRPCHandler()
	rpcSH := sh.RegisterRPCGatewayServlet(Name, rpcGH)
	sub := newSubscriberHandler(rpcSH)

	sh.RegisterSubscriber(sub)
}

func ServletDestroy() {

}
